<!doctype html>

<meta charset="utf-8">
<title>la vie d'un échange - échange simple</title>

<script src="https://d3js.org/d3.v4.min.js" charset="utf-8"></script>
<script src="https://dagrejs.github.io/project/dagre-d3/latest/dagre-d3.min.js"></script>

<link rel="stylesheet" href="css/graph.css">

<body>
<div class="live map">
  <svg><g/></svg>
</div>

<script>
  var trade = ""

  var actors = {
    "investisseur": {
      "type": "exposition",
      "description" : "particulier, gérant, fonds"
    },
    "courtier principal": {
      "type": "exposition",
      "description" : "facilite le trading, prête des actifs",
      "inputQueue": [
        { "name": "investisseur", "label": "dépôt", "width": 40, "weight": 30 },
        { "name": "courtier execécutant A", "label": "give-up", "width": 40, "weight": 30 },
        { "name": "courtier execécutant B", "label": "give-up", "width": 40, "weight": 30 },
      ]
    },
    "banque de dépôt A": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "courtier principal", "label": "feedback", "width": 40, "weight": 30 },
        { "name": "banque de dépôt B", "label": "liquidation", "width": 40, "weight": 30 },
        { "name": "banque de dépôt C", "label": "liquidation", "width": 40, "weight": 30 },
      ]
    },
    "courtier execécutant A": {
      "type": "neutre",
      "description" : "prime broker",
      "inputQueue": [
        { "name": "investisseur", "label": "ordre", "width": 40, "weight": 30 },
      ]
    },
    "apporteur de liquidité": {
      "type": "exposition",
      "description" : "banque d'investissement, vend et achète",
      "inputQueue": [
        { "name": "courtier execécutant A", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "banque de dépôt B": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "apporteur de liquidité", "label": "feedback", "width": 40, "weight": 30 },
      ]
    },

    "courtier execécutant B": {
      "type": "neutre",
      "description" : "prime broker",
      "inputQueue": [
        { "name": "investisseur", "label": "ordre", "width": 40, "weight": 30 },
      ]
    },
    "apporteur de liquidité B": {
      "type": "exposition",
      "description" : "banque d'investissement, vend et achète",
      "inputQueue": [
        { "name": "courtier execécutant B", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "banque de dépôt C": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "apporteur de liquidité B", "label": "feedback", "width": 40, "weight": 30 },
      ]
    },

  };

</script>

		<script src="js/graph.js"></script>

</body>
</html>
